:root{
    /*Global variables*/
    --page-bg: white;
    --header-bg: #B2DDF7;
    --main-bg: #CABAC8;
    --footer-bg: #1D201F;
}

html {
    scroll-behavior: smooth;
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

/*for dev only*/
header, main, footer, section {
    border: 2px dashed #D1DEDE;
}
div, aside {
    border: 1px solid #EAD2AC;
}

body {
    display: grid;
    place-items: center;

    background: var(--page-bg);

    /*global font properties*/
    font-family: Roboto, sans-serif;
    font-size: 20px;
    color: #1B2F33;
}

.contentBlock{
    margin: 5px;
    max-width: 900px;
}
/*======HEADER SECTION==========*/
/*======    begin    =========*/
header {
    display: flex;
    height: 80px;
    min-width: 1000px;
    /*position: relative;*/
    background: var(--header-bg);
}

#workLinksContainer {
    width: 35%;
    margin-left: auto;
    text-align: center;
}

.headerLink{
    text-decoration: none;
}

.headerLinkIcon {
    height: 70%;
    margin: calc(80px / 6);
}
/*======    end      =========*/
/*======HEADER SECTION==========*/


/*======MAIN SECTION==========*/
/*======  begin    ==========*/
main {
    display: flex;
    flex-direction: column;
    padding: 1rem;

    min-width: 1000px;

    background: var(--main-bg);
}

section {
    margin-top: 10px;
    margin-bottom: 10px;
}

#bio {
    display: grid;
    grid-template-columns: minmax(150px, 30%) 1fr;
    background: #F4F1BB;
}

#portrait {
    /*width: 200px;*/
    height: 300px;

    float: left;
}

#portrait img {
    width: 100%;
    height: 100%;
    border-radius: 5px;
}

#bioText {
    position: relative;

    padding: 5px;
}

#bioHeading{
    text-align: center;
}

.bioItem {
    list-style-type: none;
}

#contacts {
    display: flex;
    position: absolute;
    bottom: 0;
    width: 100%;
}

.contactLink {
    width: 50%;
    padding-top: 5px;
    padding-bottom: 5px;

    text-align: center;
}

.copyIcon:hover {
    cursor: pointer;
    font-weight: bold;
}


/*Aware of section BEGIN*/
#awareOf {
    display: grid;
    grid-gap: 1rem;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
}

.techCard{
    display: flex;
    align-items: center;
    flex-direction: column;
}

.techHeader {
    font-size: 18px;
}
.techDescription {
    font-size: 18px;
}
.techIcon{
    font-size: 35px;
}

.techImg{
    width: 60px;
}

/*END Aware of section*/

#projects{
    height: auto;
    display: grid;
    grid-gap: 1rem;
    grid-template-columns: repeat(3, 1fr);

    background: #8C7051;
}

.cvProject {
    display: flex;
    flex-direction: column;
    /*padding: 1rem;*/
    justify-content: space-between;

    height: 250px;
    position: relative;
}

.cvProject img{
    display: block;
    height: 100%;
    width: 100%;
}

.projectDescription{
    position: absolute;

    bottom: 0;
    left: 0;
    width: 100%;
    height: auto;

    /*background: rgba(0,0,0,0);*/
    /*background: rgba(224,175,160, .2);*/
    background: rgba(0,0,0, .6);

    color: white;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 5px;

    /*opacity: 0;*/
    transition: opacity 0.25s;
}

.projectDescription h3{
    font-size: 1.5em;
    font-weight: bold;
    background: #8A817C;
}

.projectDescription p{
    margin-top: 0.25em;
    /*background: #8A817C;*/
}

.cvProject:hover > .projectDescription{
    opacity: 1;
    height: 100%;
    backdrop-filter: blur(5px);
}

#about{
    background: #E6EBE0;
    height: 400px;
}

#contactMe{
    background: #5CA4A9;
    height: 300px;
}
/*======    end    ===========*/
/*======MAIN SECTION==========*/


/*======FOOTER SECTION==========*/
/*======    begin    =========*/
footer {
    display: grid;
    place-items: center;
    height: 100px;
    background: var(--footer-bg);
    color: white;

    min-width: 1000px;
}
/*======    end      =========*/
/*======FOOTER SECTION==========*/